export default {
  name: 'new-map',
  width: 500,
  height: 300,
  dataconfig: true,
  modalSet: [{
    name: '维度',
    key: 'rowParamList',
    type: 'dimension',
    length: 100
  }, {
    name: '下钻区域',
    key: 'columnParamList',
    type: 'dimension',
    length: 100
  }, {
    name: '指标',
    key: 'indexParamList',
    type: 'measure',
    length: 100
  }],
  apiconfig: true,
  option: {
    mapColor: '#409eff',
    labelColor: 'rgba(0,0,0,1)',
    labelSize: 12,
    outlineColor: 'rgba(59,192,255,1)',
    outlineWeight: 2,
    borderColor: 'rgba(59,192,255,1)',
    tooltipBgcolor: 'rgba(64, 158, 255,0.7)',
    tooltipTextcolor: 'rgba(255,255,255,1)',
    tooltipPlay: false,
    tooltipPlayTime: 1500,
    checkLevel: false,
    tooltipNumber: 5,
    numberLength: 0,
    mapBaseColor: '#ffffff',
    visualLeft: 30,
    visualBottom: 30,
    visualTextColor: '#ffffff',
    textColor: '#fff',
    hoverColor: '#fff'
  },
  optionSet: [
    'style-grid',
    'style-title'
  ]
}
